net.sf.jasperreports.charts.design

## Class JRDesignCandlestickPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBaseCandlestickPlot
    - - net.sf.jasperreports.charts.design.JRDesignCandlestickPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCandlestickPlot, JRTimeAxisFormat, JRValueAxisFormat, JRChangeEventsSupport, JRChartPlot, JRCloneable

      public class JRDesignCandlestickPlot
      extends JRBaseCandlestickPlot

  Version:
    $Id: JRDesignCandlestickPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_TIME_AXIS_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_TIME_AXIS_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_TIME_AXIS_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_TIME_AXIS_LINE_COLOR`
    `static java.lang.String` | `PROPERTY_TIME_AXIS_TICK_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_TIME_AXIS_TICK_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_TIME_AXIS_TICK_LABEL_MASK`
    `static java.lang.String` | `PROPERTY_TIME_AXIS_VERTICAL_TICK_LABELS`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_LINE_COLOR`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_TICK_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_TICK_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_TICK_LABEL_MASK`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_VERTICAL_TICK_LABELS`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBaseCandlestickPlot

      `domainAxisMaxValueExpression, domainAxisMinValueExpression, PROPERTY_SHOW_VOLUME, rangeAxisMaxValueExpression, rangeAxisMinValueExpression, showVolume, timeAxisLabelColor, timeAxisLabelExpression, timeAxisLabelFont, timeAxisLineColor, timeAxisTickLabelColor, timeAxisTickLabelFont, timeAxisTickLabelMask, timeAxisVerticalTickLabels, valueAxisLabelColor, valueAxisLabelExpression, valueAxisLabelFont, valueAxisLineColor, valueAxisTickLabelColor, valueAxisTickLabelFont, valueAxisTickLabelMask, valueAxisVerticalTickLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignCandlestickPlot(JRChartPlot plot, JRChart chart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDomainAxisMaxValueExpression(JRExpression domainAxisMaxValueExpression)`
    `void` | `setDomainAxisMinValueExpression(JRExpression domainAxisMinValueExpression)`
    `void` | `setRangeAxisMaxValueExpression(JRExpression rangeAxisMaxValueExpression)`
    `void` | `setRangeAxisMinValueExpression(JRExpression rangeAxisMinValueExpression)`
    `void` | `setTimeAxisFormat(JRAxisFormat axisFormat)`
    `void` | `setTimeAxisLabelColor(java.awt.Color timeAxisLabelColor)`
    `void` | `setTimeAxisLabelExpression(JRExpression timeAxisLabelExpression)`
    `void` | `setTimeAxisLabelFont(JRFont timeAxisLabelFont)`
    `void` | `setTimeAxisLineColor(java.awt.Color timeAxisLineColor)`
    `void` | `setTimeAxisTickLabelColor(java.awt.Color timeAxisTickLabelColor)`
    `void` | `setTimeAxisTickLabelFont(JRFont timeAxisTickLabelFont)`
    `void` | `setTimeAxisTickLabelMask(java.lang.String timeAxisTickLabelMask)`
    `void` | `setTimeAxisVerticalTickLabels(java.lang.Boolean timeAxisVerticalTickLabels)`
    `void` | `setValueAxisFormat(JRAxisFormat axisFormat)`
    `void` | `setValueAxisLabelColor(java.awt.Color valueAxisLabelColor)`
    `void` | `setValueAxisLabelExpression(JRExpression valueAxisLabelExpression)`
    `void` | `setValueAxisLabelFont(JRFont valueAxisLabelFont)`
    `void` | `setValueAxisLineColor(java.awt.Color valueAxisLineColor)`
    `void` | `setValueAxisTickLabelColor(java.awt.Color valueAxisTickLabelColor)`
    `void` | `setValueAxisTickLabelFont(JRFont valueAxisTickLabelFont)`
    `void` | `setValueAxisTickLabelMask(java.lang.String valueAxisTickLabelMask)`
    `void` | `setValueAxisVerticalTickLabels(java.lang.Boolean valueAxisVerticalTickLabels)`

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBaseCandlestickPlot

      `clone, collectExpressions, getDomainAxisMaxValueExpression, getDomainAxisMinValueExpression, getOwnTimeAxisLabelColor, getOwnTimeAxisLineColor, getOwnTimeAxisTickLabelColor, getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getRangeAxisMaxValueExpression, getRangeAxisMinValueExpression, getShowVolume, getTimeAxisLabelColor, getTimeAxisLabelExpression, getTimeAxisLabelFont, getTimeAxisLineColor, getTimeAxisTickLabelColor, getTimeAxisTickLabelFont, getTimeAxisTickLabelMask, getTimeAxisVerticalTickLabels, getValueAxisLabelColor, getValueAxisLabelExpression, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels, setShowVolume`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_TIME_AXIS_LABEL_COLOR

          public static final java.lang.String PROPERTY_TIME_AXIS_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_AXIS_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_TIME_AXIS_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_AXIS_LABEL_FONT

          public static final java.lang.String PROPERTY_TIME_AXIS_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_AXIS_LINE_COLOR

          public static final java.lang.String PROPERTY_TIME_AXIS_LINE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_AXIS_TICK_LABEL_COLOR

          public static final java.lang.String PROPERTY_TIME_AXIS_TICK_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_AXIS_TICK_LABEL_FONT

          public static final java.lang.String PROPERTY_TIME_AXIS_TICK_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_AXIS_TICK_LABEL_MASK

          public static final java.lang.String PROPERTY_TIME_AXIS_TICK_LABEL_MASK

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_AXIS_VERTICAL_TICK_LABELS

          public static final java.lang.String PROPERTY_TIME_AXIS_VERTICAL_TICK_LABELS

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_LABEL_COLOR

          public static final java.lang.String PROPERTY_VALUE_AXIS_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_VALUE_AXIS_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION

          public static final java.lang.String PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION

          public static final java.lang.String PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION

          public static final java.lang.String PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION

          public static final java.lang.String PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_LABEL_FONT

          public static final java.lang.String PROPERTY_VALUE_AXIS_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_LINE_COLOR

          public static final java.lang.String PROPERTY_VALUE_AXIS_LINE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_TICK_LABEL_COLOR

          public static final java.lang.String PROPERTY_VALUE_AXIS_TICK_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_TICK_LABEL_FONT

          public static final java.lang.String PROPERTY_VALUE_AXIS_TICK_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_TICK_LABEL_MASK

          public static final java.lang.String PROPERTY_VALUE_AXIS_TICK_LABEL_MASK

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_VERTICAL_TICK_LABELS

          public static final java.lang.String PROPERTY_VALUE_AXIS_VERTICAL_TICK_LABELS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignCandlestickPlot

          public JRDesignCandlestickPlot(JRChartPlot plot,
                                 JRChart chart)

  - ### Method Detail

    - #### setTimeAxisLabelExpression

          public void setTimeAxisLabelExpression(JRExpression timeAxisLabelExpression)

    - #### setTimeAxisLabelFont

          public void setTimeAxisLabelFont(JRFont timeAxisLabelFont)

    - #### setTimeAxisLabelColor

          public void setTimeAxisLabelColor(java.awt.Color timeAxisLabelColor)

    - #### setTimeAxisTickLabelFont

          public void setTimeAxisTickLabelFont(JRFont timeAxisTickLabelFont)

    - #### setTimeAxisTickLabelColor

          public void setTimeAxisTickLabelColor(java.awt.Color timeAxisTickLabelColor)

    - #### setTimeAxisTickLabelMask

          public void setTimeAxisTickLabelMask(java.lang.String timeAxisTickLabelMask)

    - #### setTimeAxisVerticalTickLabels

          public void setTimeAxisVerticalTickLabels(java.lang.Boolean timeAxisVerticalTickLabels)

    - #### setTimeAxisLineColor

          public void setTimeAxisLineColor(java.awt.Color timeAxisLineColor)

    - #### setValueAxisLabelExpression

          public void setValueAxisLabelExpression(JRExpression valueAxisLabelExpression)

    - #### setDomainAxisMinValueExpression

          public void setDomainAxisMinValueExpression(JRExpression domainAxisMinValueExpression)

    - #### setDomainAxisMaxValueExpression

          public void setDomainAxisMaxValueExpression(JRExpression domainAxisMaxValueExpression)

    - #### setRangeAxisMinValueExpression

          public void setRangeAxisMinValueExpression(JRExpression rangeAxisMinValueExpression)

    - #### setRangeAxisMaxValueExpression

          public void setRangeAxisMaxValueExpression(JRExpression rangeAxisMaxValueExpression)

    - #### setValueAxisLabelFont

          public void setValueAxisLabelFont(JRFont valueAxisLabelFont)

    - #### setValueAxisLabelColor

          public void setValueAxisLabelColor(java.awt.Color valueAxisLabelColor)

    - #### setValueAxisTickLabelFont

          public void setValueAxisTickLabelFont(JRFont valueAxisTickLabelFont)

    - #### setValueAxisTickLabelColor

          public void setValueAxisTickLabelColor(java.awt.Color valueAxisTickLabelColor)

    - #### setValueAxisTickLabelMask

          public void setValueAxisTickLabelMask(java.lang.String valueAxisTickLabelMask)

    - #### setValueAxisVerticalTickLabels

          public void setValueAxisVerticalTickLabels(java.lang.Boolean valueAxisVerticalTickLabels)

    - #### setValueAxisLineColor

          public void setValueAxisLineColor(java.awt.Color valueAxisLineColor)

    - #### setTimeAxisFormat

          public void setTimeAxisFormat(JRAxisFormat axisFormat)

    - #### setValueAxisFormat

          public void setValueAxisFormat(JRAxisFormat axisFormat)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com